<script setup>
import { Dark } from 'quasar';
import { computed } from 'vue';

const $props = defineProps({
    logo: {
        type: String,
        default: 'salix',
    },
});

const src = computed({
    get() {
        return new URL(
            `../../assets/${$props.logo}${Dark.isActive ? '_dark' : ''}.svg`,
            import.meta.url
        ).href;
    },
});
</script>

<template>
    <QImg :src="src" v-bind="$attrs" />
</template>
